> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/changelog/may-2025/may-16/search-orders-by-the-payment-apps-client_id.md).

# Search orders by the payment app's client\_id

#### What's new

New query parameter allows you to search orders by the "payment module", which refers to the payment application. When an online payment is done through the payment app, its client\_id will be saved as payment module.

#### Changes in API

New query param is available fot the <mark style="color:green;">`GET`</mark> request to `/orders`  endpoint:

* `paymentModule` param allows searching orders by the payment app's `client_id` value.

Request example:

```http
GET /api/v3/STOREID/orders?payment_module=CUSTOM_PAYMENT_APP-client_id HTTP/1.1
Host: app.ecwid.com
Authorization: Bearer secret_token
```

#### Documentation links

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/fJ6TlRX1njJ0QuUs4jUZ" %}
[Search orders](/api-reference/rest-api/orders/search-orders.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/changelog/may-2025/may-16/search-orders-by-the-payment-apps-client_id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
